Module Support for DotNetNuke 7

Follow

Comments

18 comments

  • Avatar
    Gary Steiner

    It's talk like that which makes the prospect of upgrading all the many legacy DNN6 sites to DNN7 very scary.

  • Avatar
    Scott McCulloch

    Hi Gary - unfortunately I'm stuck if I want to take advantage of a lot of the new features. You will still have access to the modules that support DNN6. If something major broke, we could probably sort it out. But the modules do need to move forward. 

  • Avatar
    Cziv

    Scott,

    I thought 6.2 would be the minimum, now you say that the upcoming 7 will be the minimum ?

     

    Costas

  • Avatar
    Scott McCulloch

    When 7 is stable, yes it will be. 

    The reason is in the post, if you want to use Services Framework and the Notifications API, you can't stay at a minimum of 6.2 as it will break in 7.

  • Avatar
    ROBAX

    I think upgrading to 7 is going to be a long way off for many. Even once DNNCorp have a halfway stable version of DNN available, which from experience will take a year, the next problem is wait until all module developers have made the leap. I can't see DNN7 happening for quite a long time. But we have to go with whatever the flow is.

  • Avatar
    Scott McCulloch

    I agree Rob - News Articles will have a DNN6 release next week but moving forward (e.g. using notifications & services framework), I'm going to have to raise the minimum version. 

  • Avatar
    Steve

    Hi Scott,

    Am I understanding correctly that Property Agent is not compatible with DNN 7?  If not do you have an estimate on when a DNN 7 compatible version of PA will released?

    Thanks.

  • Avatar
    Scott McCulloch

    Steve, no it should work, it just doesn't use all the new features or styling. 

  • Avatar
    Steve

    Thanks for the reply Scott,

    I actually spent a couple hours today testing DNN 7 with many of the modules we use.  Property Agent installed and functioned perfectly, it really looks good with the new DNN skin!

  • Avatar
    Déclic Vidéo

    Thanks for all the information. What about NewsArticle ? Is it compatible with DNN 7 or is the services framework new in DNN 7 prevent NewsArticle from working correctly ?
    At the same time, do you intend to correct the problem we encounter with the "hours of articles" in the next release (we can't use the feature to adjust the timezone to the server timezone and that's problematic, all articles are now published with server timezone, that's a pity).

     

    Thanks,
    Déclic Vidéo FX

  • Avatar
    Déclic Vidéo

    Hello Scott,

     

    Do you have any news ? I have a problem with News Article and date picker with DNN 7 (unable to select a date with DNN 7 / News Article).
    Any idea of a future modification to make it fully DNN 7 compliant ?

    Otherwise, other functionnality seems ok, I am about to take it to the PROD website to test in real...

    DV FX 

  • Avatar
    Scott McCulloch

    The services framework doesn't prevent news articles from working. The date picker works fine for me in my DNN 7 install (can you open a ticket with a link & login to your website). 

  • Avatar
    Déclic Vidéo

    Hello Scott,

    It's a local installation. As soon as I bring it alive (PROD), I will grant you the access and you can check (I sometimes see that there are differences between local and remote, I do not know why). Let's wait that I finalise the transfer, I will keep you informed.

    DV FX

  • Avatar
    Brad

    I am VERY happy to hear that you are moving the products forward and taking advantage of the new ASP.NET Web API in the Services Framwork in DNN7.

    All the module as they are right now are pretty mature. In order to move them forward moving to a newer services framework module is needed. 

    Looking forward to the upcoming changes!!   (Lighter-weight, and social integration) 

    Thanks Scott, keep up the good work!

  • Avatar
    Mike Riley

    Scott, Does the latest version of Simple Gallery work correctly with DNN7?  Gallery 2.4.23 doesn't work correctly with DNN 7 (at least with the Controlbar style of the control panel).

  • Avatar
    Scott McCulloch

    Mike - you need to be at more recent versions to ensure compatibility with DNN 7. 

  • Avatar
    Jim McVay

    Scott:

    We are using Gallery 2.4.38 (purchased 9/18/12).  Will that version work on DNN 7.0 or do we have to upgrade?  I am not certain what the most recent version of this module is.

    Thank you!

  • Avatar
    ron dyar

    I am using SG 2.4.39 with DNN 7 and it works fine - I don't see any problems with it. I don't think there is a difference between .38 and .39 as far as DNN 7 is concerned.

Please sign in to leave a comment.

Powered by Zendesk